## org.hibernate.annotations
Annotation Type GenericGenerator

    @Target(value={PACKAGE,TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface GenericGenerator

Generator annotation describing any kind of Hibernate generator in a detyped manner

Required Element Summary
`String` `name` unique generator name
`String` `strategy` Generator strategy either a predefined Hibernate strategy or a fully qualified class name.

Optional Element Summary
`Parameter[]` `parameters` Optional generator parameters

Element Detail

### name

    public abstract String name

  unique generator name

### strategy

    public abstract String strategy

  Generator strategy either a predefined Hibernate strategy or a fully qualified class name.

### parameters

    public abstract Parameter[] parameters

  Optional generator parameters

  Default:
    {}

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.